> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/account-resources/getcanwithdrawunfreezeamount.md).

# GetCanWithdrawUnfreezeAmount

Stake2.0 API: Query the withdrawable balance at the specified timestamp (confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String - Owner address, default hexString
* `timestamp` - Int64 - Query cutoff timestamp, in milliseconds
* `visible` - Boolean - Optional - Specifies whether the address is in Base58 format (default: false).

## **Returns**

`amount` - Int64 : withdrawable balance, unit is sun.

<pre class="language-json"><code class="lang-json">// Result
<strong>{}
</strong></code></pre>

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getcanwithdrawunfreezeamount \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "timestamp": 1667977444000,
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}
